Skip to content
GitHub

Give an organization member a role on this project, or change it.

PUT
/api/v1/projects/{project}/members/{member}
curl --request PUT \
--url https://example.com/api/v1/projects/example/members/example \
--header 'Content-Type: application/json' \
--data '{ "role": "developer" }'
project
required
string

Project name

member
required
string

User id

Media typeapplication/json
object
role
required

viewer, developer, admin or owner.

string
Example
developer
Media typeapplication/json
object
id
required
string
email
required
string
display_name
string | null
role
required
string
must_change_password
required

Invited and has not replaced the temporary password yet.

boolean
active
required
boolean
Examplegenerated
{
"id": "example",
"email": "example",
"display_name": "example",
"role": "example",
"must_change_password": true,
"active": true
}

Above your own role, or an API token

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}

Not a member of the organization

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}